Introduction

Panorama Composer will help you to construct pans from your photos in jpeg format, save them as panoramic photo (jpg format), as the web page (html format) and as the postcard (exe format) so you can send them to your friends and they can view them without any special programs installed.

Panorama composing with our software is as easy as three steps. It helps you to create great pans from pictures taken with any kind of camera. The only thing you should know is How to take photos for pans?

Program features

  • Flash interface;
  • Possibility to compose high-quality pans from photos with small intersections;
  • Creation of full 360 degrees flat pans;
  • Saving result pans in jpg, html and exe formats;
  • Saving pans as projects that can be modified later;
  • Automatic lens type detection.

System requirements

  • PC with a Pentium 200 MHz or higher processor
  • Microsoft Windows 98, Windows ME, Windows NT 4.0 SP3, Windows 2000, Windows XP
  • Macromedia Flash Player
  • Microsoft Internet Explorer 4.01 or higher
  • 64 MB of RAM
  • 2 MB of available hard-disk space
  • Monitor 256 color or higher


Shooting photos for pans

Selecting the right position

You should find the position, hold your camera steady in one spot and take photos as you slowly turn around.

  • Each photo should overlap the previous one by 30% to 50% (the more overlap the easier the stitching will be), and the last picture should overlap the first one (in case you want to get the round pan);
  • To get the proper overlap and keep the camera level at the same time, note what is in the center of your first picture, turn clockwise and line this up with the center of your next picture's left edge;
  • Do not change the focus or zoom of your camera while you take the photos or you will change your camera's perspective.

Focusing

Most probably you'll want to aim for a sharp picture that captures the entire scene through to the horizon. To do this you want to set a very large depth of field so that everything in shot is in crisp focus.

When determining the depth of field you need, remember that when shooting indoors you do not need to focus further than the walls of the room and therefore you are likely to be able to widen the aperture and consequently reduce the exposure time.

Avoid altering the depth of field when shooting panorama because to do this you will need to alter focus and thus worsen the quality of the resulting pan. Most software cannot cope with a mixture of lenses being used for a panoramic sequence.

Our Panorama Composer automatically determines the type of lens used.


Starting the program

If you have accepted the default options in the installation process, you can start Panorama Composer by using the following method:

  1. Go to Start/Programs/FirmTools
  2. Click Panorama Composer

First launching after installation will open the application at Welcome wizard step.
From here you can start new panorama construction by pressing the "Select images" button.

You also can view the default pan to understand what your pans will look like by pressing the "Open project" button and selecting the project file with .fpm extension.


Online support

You get online support by visiting product support page at: http://www.firmtools.com/products/panorama/support.php

Or email us at support@firmtools.com


How to arrange images?

If you need to rearrange, add or delete any images before stitching them, you will find the functions you need at the Position step.

Moving an image

To move an image, simply drag it to the new location or use the "Move" buttons.
To reverse the order of images press "Reverse" button.

Adding images

To add more images press "Add images" button and select images you want to add to the pan. They will be added after the last image in the Preview Window.

Removing images

To delete image (s) select it and press "Remove images" button.

Rotating images

If an image (s) appear in the wrong orientation select them and click 'Rotate' buttons. Each click rotates images 90 degrees clockwise or counterclockwise.


How to compose a pan?

  1. Start pan composing at the Welcome step of the program by pressing the "Select images" button;
    • Choose where to retrieve the pictures,
    • Select images and press "Open" button.
  2. Arrange images in the correct order at the Position step;
    • Put a check mark to the "Full 360 pane" box if you want to get a circular pan;
    • Press "Next" button to stitch images together.
  3. Preview stitched panorama images and save it in the necessary form.


How to hold camera steady?

You can try to hold camera steady yourself, but its always better when you use a tripod. If you do not use a tripod and/or fail to keep the camera level, you may have problems stitching your pictures.

Shooting photos without tripod

Take your camera (even a disposable camera will do), hold it level and turn on the spot (360-degrees for a full panorama) taking a series of pictures. Make sure you stand in one spot and as you turn to take each picture keep the camera close to your body, i.e. close to the point of rotation. Don't move from the spot you are standing on between shots. Don't learn forwards or backwards between shots, but try to stay still and steady.

What you are trying to do is to emulate the tripod - keep the camera steady and level, and rotate it around a single point. All of these things help you to produce a good set of pictures from which to create a panorama.

Shooting photos using a tripod

By using a tripod you can ensure that the camera rotates around a fixed spot and that it stays level. It also makes it much easier to take longer exposures, which may be useful if you want to get a nice sharp picture with everything in focus.

Check that you can lock the head of the tripod firmly and that it doesn't wobble when locked. If it does it will be difficult for you to make sure the camera stays level while you are shooting, especially if you have a large camera or if you use a panoramic head (see below), because the weight may make the tripod's head even more unstable.


How to save the project?

You can save the result pan as the project at the Final step.

Save a single pan after you have stitched it. This saves the selection of images and pan settings. The pan will be saved with a .fmp extension. This will allow you to continue with the pan in future.


How to save the result pan?

You can save the result pan in four different ways at the Preview stitched images step:

  • as the project ("Save project" button),
  • as JPEG file ("Save as image" button),
  • as HTML page ("Export to HTML" button),
  • as EXE file ("Export to EXE" button).

Saving result pan as project

Save a single pan after you have stitched it. This saves the selection of images and pan settings. The pan will be saved with an .fmp extension. This will allow you to continue with the pan in future.

Saving the pan as JPEG file

Save result pan as panoramic photo. This saves pan as JPEG file.

Saving the pan as HTML file

Panorama Composer will create and display a list of the HTML page and other files needed to view the embedded pan. If you are moving the files to your web site or elsewhere, be sure to place them in the same directory.

Saving the pan as EXE file

This creates a single executable file with all the necessary viewer controls. So you can send the result flat or circular (360 degrees) pan to your friends.

If you have big size images of a high quality the stitched pan will appear in the preview window at the Preview stitched images step separated into parts with vertical barely visible white lines. This will not affect the result pan.


How to stitch photos the best way?

Normally the more is overlapping the better is stitching. Recommended overlapping in the most panorama making software is 50%. Our program allows to get high quality pans (without visible seams) with overlapping starting from 2% depending on the set of parameters.

Set of parameters determines the quality of the result pan and the photos processing speed.

You can select the right parameters to compose your pan using the table below at the Position photos step.

Parameter set | When to apply
Default | For photos overlapped by 10 - 50%
Small intersections | When photos intersections start at 2%
Without camera deviation calculation | When you shoot using a tripod
Quick calculation | When you have good pictures overlapping and want to process them quickly
Precise calculation (long) | When you want to get the best quality pans from images with strong focal distortions


How to view a pan?

  1. If you save Panorama as JPEG file you can view it using any image or panorama viewer;
  2. If you save pan as HTML file you can view it in Internet browser;
  3. If you save Panorama as EXE file in the FirmTools Panorama Viewer.

Use buttons at the bottom of the viewer to zoom and play (automatically pan) the Panorama. Click on the Panorama to stop the panning.

Click Alt + Enter for Full screen panorama.

You can use the mouse to:

  • Pan sideways or up and down: Hold down the left mouse button and drag.
You can change the Viewer settings which define how a pan is loaded and displayed using the [image] button menu.


Welcome step

This is the start page of the Panorama Composer. Here you can Start to compose new pan or open existing project. Project is the set of stitched images.

  • To start new pan composing press "Select images" button.
  • To open existing project press "Open project" button.


Position photos

At this page you can arrange images in the correct order.

Buttons at the bottom of the page allow you to position images in the right order, rotate them or reverse their order.

  • To reverse the order of images press the "Reverse" button.
  • To select all images for batch processing press the "Select all" button.

Use the pull down menu at the top of the page to select the correct stitching algorithm. Refer to How to stitch photos the best way paragraph.

To get a circular pan check the "Full 360 pan" box. If the box is empty then you'll get flat partial pan.


Preview stitched images

At the last step you can preview stitched images and save them in the necessary format: as panoramic photo (jpg format), as the web page (html format) and as the postcard (exe format) or save this set of images as project.

  • To save pan as panoramic photo press "Save as image" button.
  • To save pan as the web page press "Export to HTML: button.
  • To save pan as EXE file press "Export to EXE" button.
  • To save pan as project press "Save project" button.
  • To start new pan construction press or open another project press "New project" button.